de.esprit.netsuite.server.auth

## Interface Group

- All Superinterfaces:
    java.lang.Cloneable, java.lang.Comparable, Dumpable, Renderable, java.io.Serializable
  All Known Implementing Classes:
    AbstractDatabaseGroup, AbstractGroup, DBGroup, DefaultGroup

      public interface Group
      extends java.io.Serializable, Dumpable, Renderable, java.lang.Cloneable, java.lang.Comparable

  This interface defines an EsprIT user group
  Author:
    Rainer Buesch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMMENT`
    `static java.lang.String` | `GID`
    `static java.lang.String` | `GROUP_NAME`
    `static java.lang.String` | `groupsDocType`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Group` | `copy()` Returns a copy of this Group object.
    `java.lang.String` | `getComment()`
    `int` | `getGID()`
    `java.lang.String` | `getGroupName()` Returns the unique group name.
    `void` | `setComment(java.lang.String comment)`
    `void` | `setGID(int gid)`
    `void` | `setGroupName(java.lang.String newName)`

    - ### Methods inherited from interface de.esprit.common.type.Dumpable

      `toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from interface de.esprit.common.gui.Renderable

      `getRenderColor, getRenderIcon, getRenderText`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Field Detail

    - #### groupsDocType

          static final java.lang.String groupsDocType

      See Also:
        Constant Field Values

    - #### GID

          static final java.lang.String GID

      See Also:
        Constant Field Values

    - #### GROUP_NAME

          static final java.lang.String GROUP_NAME

      See Also:
        Constant Field Values

    - #### COMMENT

          static final java.lang.String COMMENT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getGID

          int getGID()

    - #### setGID

          void setGID(int gid)

    - #### getGroupName

          java.lang.String getGroupName()

      Returns the unique group name. This should be a short name with no white spaces and in lower case characters only.

    - #### setGroupName

          void setGroupName(java.lang.String newName)

    - #### getComment

          java.lang.String getComment()

    - #### setComment

          void setComment(java.lang.String comment)

    - #### copy

          Group copy()

      Returns a copy of this Group object.
      Note that we cannot use clone() here because Groups may be implemented as enum and enums are not cloneable!

Copyright © 2013 EsprIT-Systems. All Rights Reserved.